# Function withGetter

- withGetter< T >(store: Writable< T >): WritableWithGetter < T >

- #### Type Parameters

  - T

  #### Parameters

  - store: Writable< T >

  #### Returns WritableWithGetter < T >

  - Defined in packages/store/src/index.ts:35
- withGetter< T >(store: Readable< T >): ReadableWithGetter < T >

- #### Type Parameters

  - T

  #### Parameters

  - store: Readable< T >

  #### Returns ReadableWithGetter < T >

  - Defined in packages/store/src/index.ts:36